langcode: en
status: true
dependencies:
  config:
    - field.storage.node.field_location_reference
    - node.type.event
    - node.type.location
id: node.event.field_location_reference
field_name: field_location_reference
entity_type: node
bundle: event
label: Location
description: 'Search for existing locations or create a new one if it does not exist. If you remove a location on an existing organisation, it will not be deleted from the system.'
required: false
translatable: false
default_value: {  }
default_value_callback: ''
settings:
  handler: ersv
  handler_settings:
    selection:
      settings:
        handler: views
        handler_settings:
          view:
            view_name: h4c_reusable_location_reference
            display_name: entity_reference_1
            arguments: {  }
          auto_create: 0
          auto_create_bundle: location
    validation:
      settings:
        handler: 'default:node'
        handler_settings:
          target_bundles:
            location: location
          sort:
            field: _none
          auto_create: 0
          auto_create_bundle: ''
    target_bundles:
      location: location
field_type: entity_reference
